## deerportal 0.8.2

=== CMakeLists.txt ===
#Change this if you need to target a specific CMake version
cmake_minimum_required(VERSION 3.1)
set (CMAKE_CXX_STANDARD 11)

# To unify version handling
file (STRINGS "version.txt" DEERPORTAL_VERSION)
string(REGEX MATCH "^([0-9]+)" DEERPORTAL_VERSION_MAJOR ${DEERPORTAL_VERSION})
string(REGEX REPLACE "^([0-9]+)\\.([0-9]+)\\.([0-9]+).*" "\\2" DEERPORTAL_VERSION_MINOR ${DEERPORTAL_VERSION})
string(REGEX REPLACE "^([0-9]+)\\.([0-9]+)\\.([0-9]+.*)" "\\3" DEERPORTAL_VERSION_PATCH ${DEERPORTAL_VERSION})
MESSAGE( STATUS "DEERPORTAL_VERSION:         " ${DEERPORTAL_VERSION} )
MESSAGE( STATUS "DEERPORTAL_VERSION_MAJOR:         " ${DEERPORTAL_VERSION_MAJOR} )
MESSAGE( STATUS "DEERPORTAL_VERSION_MINOR:         " ${DEERPORTAL_VERSION_MINOR} )
MESSAGE( STATUS "DEERPORTAL_VERSION_PATCH:         " ${DEERPORTAL_VERSION_PATCH} )

# Enable debug symbols by default
# must be done before project() statement
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build (Debug or Release)" FORCE)
endif()
# (you can also set it on the command line: -D CMAKE_BUILD_TYPE=Release)

project(myproject)

#target_compile_definitions(DeerPortal PRIVATE FOO=1 BAR=1)
add_definitions(-DDEERPORTAL_VERSION="${DEERPORTAL_VERSION}.${CMAKE_BUILD_TYPE}")
# Set version information in a config.h file
# configure_file(
#   "${PROJECT_SOURCE_DIR}/config.h.in"
#   "${PROJECT_BINARY_DIR}/config.h"
#   )
include_directories("${PROJECT_BINARY_DIR}")
include_directories(${YOUR_DIRECTORY})

# Define sources and executable
set(EXECUTABLE_NAME "deerportal")
file( GLOB SRCS src/*.cpp src/*.h )

IF(WIN32)
	#Now we are looking for "sfml-main.lib".
	#Because we need it if we give ADD_EXECUTABLE the WIN32 switch to creat a GUI application (that one without a cmd promt)
	FIND_LIBRARY( SFML_MAIN_LIBRARY
		NAMES sfml-main
		PATH_SUFFIXES lib64 lib
		PATHS ${SFML_LIBRARY_SEARCH_DIR}
	)	
	LIST(APPEND SFML_LIBRARY ${SFML_MAIN_LIBRARY})
ENDIF(WIN32)




IF (WIN32)
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS /ENTRY:mainCRTStartup")

add_executable(${EXECUTABLE_NAME} WIN32 ${SRCS}

	${CMAKE_CURRENT_SOURCE_DIR}/scripts/DeerPortal.rc
  )

ELSE()
add_executable(${EXECUTABLE_NAME}  ${SRCS}

	
  )
ENDIF()

# Detect and add SFML
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules" ${CMAKE_MODULE_PATH})
#Find any version 2.X of SFML
#See the FindSFML.cmake file for additional details and instructions
find_package(SFML 2 REQUIRED network audio graphics window system)
if(SFML_FOUND)
  include_directories(${SFML_INCLUDE_DIR})
  target_link_libraries(${EXECUTABLE_NAME} ${SFML_LIBRARIES} ${SFML_DEPENDENCIES})
endif()

set_target_properties(${EXECUTABLE_NAME} PROPERTIES
  MACOSX_BUNDLE TRUE
  MACOSX_FRAMEWORK_IDENTIFIER org.cmake.ExecutableTarget
  RESOURCE "${RESOURCE_FILES}"
)

# Install target



IF (WIN32)
  set (ASSETS_BASE_PATH data)
  install(TARGETS ${EXECUTABLE_NAME} DESTINATION .)
  file(WRITE DeerPortal.exe.gui "")
  install(FILES DeerPortal.exe.gui DESTINATION .)

ELSE()
	set (ASSETS_BASE_PATH share/games/deerportal)
	install(TARGETS ${EXECUTABLE_NAME} DESTINATION games)
	install(FILES assets/img/deerportal.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/256x256/apps)
	install(FILES deerportal.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
ENDIF()

add_definitions(-DBASE_PATH="${CMAKE_INSTALL_PREFIX}")
IF (WIN32)
	add_definitions(-DASSETS_PATH="${ASSETS_BASE_PATH}/")
#install(DIRECTORY assets DESTINATION share/games/deerportal)
install(DIRECTORY assets DESTINATION "${ASSETS_BASE_PATH}/")
ELSE()
	add_definitions(-DASSETS_PATH="${CMAKE_INSTALL_PREFIX}/${ASSETS_BASE_PATH}/")
	# install(DIRECTORY assets DESTINATION share/games/deerportal)
	install(DIRECTORY assets DESTINATION "${CMAKE_INSTALL_PREFIX}/${ASSETS_BASE_PATH}/")

ENDIF()
# install(DIRECTORY assets DESTINATION share/games/deerportal)



# CPack packaging
include(InstallRequiredSystemLibraries)
# set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_VERSION_MAJOR "${DEERPORTAL_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${DEERPORTAL_VERSION_MINOR}.${DEERPORTAL_VERSION_PATCH}")
include(CPack)

=== debian/changelog ===
deerportal (0.8.2) groovy; urgency=medium

  * Version bump for first packaging here

 -- Chris <dpkg@chris-nz.com>  Sat, 17 Apr 2021 03:48:48 +1200

deerportal (0.7.1-january-fix-ubuntu1) trusty; urgency=medium

  * Fixed January - Eastern Egg problem (thanks Poul Sander)

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Tue, 09 Jan 2018 21:33:55 +0200

deerportal (0.7.0-birthday-ubuntu1) trusty; urgency=medium

  * Notifications
  * More sounds
  * Smarter, more agressive and greedy AI
  * Credits
  * Test mode
  * Big diamond

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Fri, 10 Jun 2016 00:33:55 +0200

deerportal (0.6.0-betaubuntu2) trusty; urgency=medium

  * New dice - from Katia
  * Updated background 

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Tue, 07 Jun 2016 00:26:08 +0200

deerportal (0.6.0-betaubuntu1) trusty; urgency=low

  * New end game screen
  * Fixed several bugs
  * Fixed sorting order
  * Simply AI - playing with computer
  * New graphics - Deer God and rendered title screen

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Mon, 06 Jun 2016 23:44:00 +0200

deerportal (0.0.5-alphaubuntu6) trusty; urgency=medium

  * Removing all items after player reaches the portal
  * Clean up
  * Bug fix for game crash while taking more items than available 
  * Another approach for better debian packages

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Sun, 29 May 2016 01:00:28 +0200

deerportal (0.0.4-alpha) unstable; urgency=medium

  * Deer Mode
  * Clean up 
  * Animated Characters

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Sat, 28 May 2016 04:42:42 +0200

deerportal (0.0.3-alpha) unstable; urgency=medium

  * Bubbles
  * Clean up 

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Sat, 09 Apr 2016 04:10:42 +0200

deerportal (0.0.2alpha) unstable; urgency=medium

  * New upstream release
  * Clean up 

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Sat, 09 Apr 2016 04:10:42 +0200

deerportal (0.0.1alpha-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Rafal Zawadzki <bluszcz@devcarpet.net>  Fri, 08 Apr 2016 23:40:21 +0200

=== debian/control ===
Source: deerportal
Section: games
Priority: optional
Maintainer: Rafal Zawadzki <bluszcz@devcarpet.net>
Build-Depends: debhelper-compat (= 12), libsfml-dev, cmake
Standards-Version: 4.5.0
Homepage: https://github.com/deerportal/deerportal/

Package: deerportal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board game driven by the classical elements.
 Deer Portal is a board game where you can experience madness of being ex pagan
 who wants to be become an ancient Deer God. To achieve this, you have to play
 a dreadful game where classical elements are involved. Reach portal or die.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT

%:
	dh $@
